import * as React from 'react';
import {observer} from "mobx-react-lite";
import {DashboardComponentModel} from "../../../../stores/DashboardComponentStore";
import {Parameter} from "../../../../stores/Types";
import {CustomTargetField} from "./CustomTargetField";

export type ParameterFieldProps = {
    component: DashboardComponentModel,
    parameter: Parameter
}

export const ComplexParameterField: React.FunctionComponent<ParameterFieldProps> = observer(({
                                                                                                 component,
                                                                                                 parameter
                                                                                             }) => {
    switch (parameter.id) {
        case 'custom_targets':
            return <CustomTargetField component={component} parameter={parameter}/>
        default:
            return (
                <div>{JSON.stringify(parameter)}</div>
            )
    }
});