import {attribute, DataStore, Model, model, Transport} from '@rx-suite/data';
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: new Transport("/api/dashboard_group_dashboards", "dashboard_group_dashboard"),
    permissionTarget: "DashboardGroup",
    routingInfo: {}
})
export class DashboardGroupDashboardModel extends Model {
    constructor() {
        super();
        super.setup();
    }

    @attribute({
        label: t`Interval`,
        validation: yup.number()
    })
    interval = 1;

    @attribute({
        label: t`Rank`,
        validation: yup.number()
    })
    rank = 0;

    @attribute({
        label: t`Group`,
        connects: 'DashboardGroupModel',
        validation: yup.number(),
        autoTable: false
    })
    dashboard_group_id: number | undefined = undefined;

    @attribute({
        label: t`Dashboard`,
        connects: 'DashboardModel',
        validation: yup.number(),
        autoTable: false
    })
    dashboard_id: number | undefined = undefined;
}

export const DashboardGroupDashboardStore = DashboardGroupDashboardModel.store as DataStore<DashboardGroupDashboardModel>;
DashboardGroupDashboardStore.setFetchParams({limit: undefined, page: 0, sorted: [], filtered: []});
