# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_05_08_155525) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "dashboard_component_placements", force: :cascade do |t|
    t.integer "x"
    t.integer "y"
    t.integer "height"
    t.integer "width"
    t.bigint "dashboard_component_id"
    t.bigint "dashboard_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dashboard_component_id"], name: "index_dashboard_component_placements_on_dashboard_component_id"
    t.index ["dashboard_id"], name: "index_dashboard_component_placements_on_dashboard_id"
  end

  create_table "dashboard_components", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.text "parameters"
    t.integer "refresh_interval"
    t.text "data"
    t.string "display_type"
    t.bigint "dashboard_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "display_options"
    t.string "last_run_error"
    t.string "run_user_id"
    t.string "run_token"
    t.boolean "queued", default: false, null: false
    t.index ["dashboard_target_id"], name: "index_dashboard_components_on_dashboard_target_id"
  end

  create_table "dashboard_group_dashboards", force: :cascade do |t|
    t.bigint "dashboard_group_id"
    t.bigint "dashboard_id"
    t.integer "rank"
    t.integer "interval"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dashboard_group_id"], name: "index_dashboard_group_dashboards_on_dashboard_group_id"
    t.index ["dashboard_id"], name: "index_dashboard_group_dashboards_on_dashboard_id"
  end

  create_table "dashboard_groups", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "dashboard_targets", force: :cascade do |t|
    t.string "module_id"
    t.string "module_name"
    t.string "dashboard_id"
    t.string "name"
    t.string "desc"
    t.text "ui_hints"
    t.text "parameters"
    t.text "returns"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "dashboards", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "header_enabled", default: false
  end

  create_table "lab_layout_components", force: :cascade do |t|
    t.bigint "lab_layout_id"
    t.string "name"
    t.string "component_type"
    t.string "machine_sn"
    t.string "machine_group_ids"
    t.integer "alert_after"
    t.float "x"
    t.float "y"
    t.float "width"
    t.float "height"
    t.decimal "z_index"
    t.float "aspect_ratio"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["lab_layout_id"], name: "index_lab_layout_components_on_lab_layout_id"
  end

  create_table "lab_layouts", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "dashboard_component_placements", "dashboard_components", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_component_placements", "dashboards", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_components", "dashboard_targets", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_group_dashboards", "dashboard_groups", on_update: :cascade, on_delete: :cascade
  add_foreign_key "dashboard_group_dashboards", "dashboards", on_update: :cascade, on_delete: :cascade
  add_foreign_key "lab_layout_components", "lab_layouts", on_update: :cascade, on_delete: :cascade
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
